## ng-spice-rework 20

=== src/xspice/icm/Makefile ===
# The master makefile to make spiceopus (TM) like codemodels
# Under the GPLV2 or later license 
# 2003 - Stefan Jones <stefan.jones@multigig.com>

include $(TOPDIR)makedefs

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include .deps/ifspec.P
-include .deps/cfunc.P
-include .deps/udnfunc.P
-include .deps/cm.P
-include .deps/dlmain.P

UPMAKE = make -f $(TOPDIR)../Makefile TOPDIR=$(TOPDIR)../

MAKE = make -f $(TOPDIR)Makefile TOPDIR=$(TOPDIR)

COMPILE = $(CC) $(INCLUDES) $(CFLAGS)

INSTALL_DATA = ${INSTALL} -m 644

ifeq ($(ISCYGWIN), 1)
  INSTALL_DATA = ${INSTALL} -m 755
endif

all: 
	@for x in $(CMDIRS) ; do \
	( cd $$x && $(UPMAKE) $$x-mods ) \
	|| exit 1; \
	done

install: all
	$(mkinstalldirs) $(DESTDIR)$(libdir)/spice
	@for x in $(CMDIRS) ; do \
	echo "$(INSTALL_DATA) $$x/$$x.cm $(DESTDIR)$(libdir)/spice"; \
	$(INSTALL_DATA) $$x/$$x.cm $(DESTDIR)$(libdir)/spice \
	|| exit 1; \
	done 

clean:
	@for x in $(CMDIRS) ; do \
	( cd $$x && $(UPMAKE) $$x-mods-clean ) \
	|| exit 1; \
	done
	-rm -rf .deps

ifspec.c: ifspec.ifs
	-rm -f $@
	$(CMPP) -ifs

cfunc.c: cfunc.mod
	-rm -f $@
	$(CMPP) -mod

dlmain.c: $(TOPDIR)/dlmain.c 
	-cp $(TOPDIR)/dlmain.c .

objects.inc cmextrn.h cminfo.h udnextrn.h udninfo.h: modpath.lst  udnpath.lst
	-rm -f cmextrn.h cminfo.h objects.inc udnextrn.h udninfo.h 
	$(CMPP) -lst

dlmain.o: cmextrn.h cminfo.h udnextrn.h udninfo.h

%.cm: dlmain.o objects.inc
	@echo $@: objects.inc dlmain.o \\ > .deps/cm.P
	@for x in `cat modpath.lst` ; do \
	echo $$x/cfunc.o $$x/ifspec.o \\ >> .deps/cm.P ; done
	@for x in `cat udnpath.lst` ; do \
	echo $$x/udnfunc.o \\ >> .deps/cm.P ; done
	@echo "" >> .deps/cm.P
	$(CC) $(LDFLAGS) -o $@ `awk '{ print $$1 }' objects.inc` dlmain.o

%-mods: modpath.lst udnpath.lst
	@for x in `cat modpath.lst` ; do \
	( cd $$x && $(UPMAKE) objs ) \
	|| exit 1; \
	done
	@for x in `cat udnpath.lst` ; do \
	( cd $$x && $(UPMAKE) uobjs ) \
	|| exit 1; \
	done
	@target=`echo $@ | sed s/-mods//`; $(MAKE) $$target.cm

%-mods-clean:
	@target=`echo $@ | sed s/-mods-clean//` && rm -f $$target.cm
	@for x in `cat modpath.lst` ; do \
	( cd $$x && $(UPMAKE) objs-clean ) \
	|| exit 1; \
	done
	@for x in `cat udnpath.lst` ; do \
	( cd $$x && $(UPMAKE) uobjs-clean ) \
	|| exit 1; \
	done
	-rm -f cmextrn.h cminfo.h objects.inc udnextrn.h udninfo.h \
	dlmain.c dlmain.o
	-rm -rf .deps
	

objs: ifspec.o cfunc.o

objs-clean:
	-rm -f cfunc.c ifspec.c cfunc.o ifspec.o
	-rm -rf .deps

uobjs: udnfunc.o

uobjs-clean:
	-rm -f udnfunc.o
	-rm -rf .deps

%.o: %.c
	@echo '$(COMPILE) $(DEPFLAGS) .deps/$(*F).pp -c $<'; \
	$(COMPILE) $(DEPFLAGS) .deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	| sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	>> .deps/$(*F).P; \
	rm .deps/$(*F).pp

makedefs: $(srcdir)/makedefs.in $(top_builddir)/config.status
	cd $(top_builddir) \
	&& CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

# Hack by SDB to enable "make mrproper" from top level.
#  Since there is no Makefile.am for this directory, we need to 
#  incorporate this stuff by hand.
MAINTAINERCLEANFILES = 

maintainer-clean: maintainer-clean-generic
	rm -f `find . -type f -name "*~" -print`
	rm -f `find . -type f -name "*.orig" -print`
	rm -f `find . -type f -name "*.rej" -print`
	rm -fR `find . -type d -name ".deps" -print`

maintainer-clean-generic: clean
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)


distclean: maintainer-clean

distdir:

check:

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

=== src/spicelib/devices/ndev/Makefile ===
# Makefile.in generated by automake 1.10.2 from Makefile.am.
# src/spicelib/devices/ndev/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/ngspice
pkglibdir = $(libdir)/ngspice
pkgincludedir = $(includedir)/ngspice
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = src/spicelib/devices/ndev
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
libndev_la_LIBADD =
am_libndev_la_OBJECTS = ndev.lo ndevacld.lo ndevaccept.lo ndevask.lo \
	ndevdel.lo ndevdest.lo ndevdump.lo ndevinit.lo ndevload.lo \
	ndevmdel.lo ndevmpar.lo ndevparm.lo ndevpzld.lo ndevset.lo \
	ndevtemp.lo ndevtrun.lo
libndev_la_OBJECTS = $(am_libndev_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libndev_la_SOURCES)
DIST_SOURCES = $(libndev_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/missing --run aclocal-1.10
ADMSXML = 
ALLOCA = 
AMTAR = ${SHELL} /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/missing --run autoconf
AUTOHEADER = ${SHELL} /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/missing --run autoheader
AUTOMAKE = ${SHELL} /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/missing --run automake-1.10
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -g -O0 -Wall
CIDERDIR = 
CIDERSCRIPTS = 
CIDERSIM = 
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld
LDFLAGS = 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBOBJS = 
LIBS = -lm 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NDEV_DIR = 
NDEV_LIB = 
NM = /usr/bin/nm -B
NMEDIT = 
NOTNDEV_DIR = ndev
NOTVLADEVDIR = adms
NOTXGRAPH = xgraph
NUMDEV = 
NUMDEVDIR = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = ngspice
PACKAGE_BUGREPORT = ngspice-bugs@lists.sourceforge.net
PACKAGE_NAME = ngspice
PACKAGE_STRING = ngspice 20
PACKAGE_TARNAME = ngspice
PACKAGE_VERSION = 20
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
TCL_LIB_SPEC = 
TCL_PACKAGE_PATH = 
VERSION = 20
VLADEV = 
VLADEVDIR = 
VLAMKF = 
WINDISPLIB = 
WINMAIN = 
XGRAPHDIR = 
XMKMF = 
XSPICEDIR = xspice
XSPICEINIT = 
XSPICELIB1 = xspice/cm/libcmxsp.la     		xspice/mif/libmifxsp.la
XSPICELIB2 = xspice/evt/libevtxsp.la                 xspice/enh/libenhxsp.la 	        xspice/ipc/libipcxsp.la 		xspice/idn/libidnxsp.la 		-ldl
XSPICETESTS = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS =  -lXaw -lXmu -lXt -lXext -lX11
X_PRE_LIBS =  -lSM -lICE
YACC = bison -y
YFLAGS = 
abs_builddir = /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/src/spicelib/devices/ndev
abs_srcdir = /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/src/spicelib/devices/ndev
abs_top_builddir = /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework
abs_top_srcdir = /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
subdirs = 
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../../../
top_builddir = ../../../..
top_srcdir = ../../../..
noinst_LTLIBRARIES = libndev.la
libndev_la_SOURCES = \
	ndev.c		\
	ndevacld.c	\
	ndevaccept.c	\
	ndevask.c	\
	ndevdefs.h	\
	ndevdel.c	\
	ndevdest.c	\
	ndevdump.c	\
	ndevext.h	\
	ndevinit.c	\
	ndevinit.h	\
	ndevitf.h	\
	ndevload.c	\
	ndevmdel.c	\
	ndevmpar.c	\
	ndevparm.c	\
	ndevpzld.c	\
	ndevset.c	\
	ndevtemp.c	\
	ndevtrun.c	

AM_CPPFLAGS = -I$(top_srcdir)/src/include
MAINTAINERCLEANFILES = Makefile.in
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/spicelib/devices/ndev/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/spicelib/devices/ndev/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libndev.la: $(libndev_la_OBJECTS) $(libndev_la_DEPENDENCIES) 
	$(LINK)  $(libndev_la_OBJECTS) $(libndev_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/ndev.Plo
include ./$(DEPDIR)/ndevaccept.Plo
include ./$(DEPDIR)/ndevacld.Plo
include ./$(DEPDIR)/ndevask.Plo
include ./$(DEPDIR)/ndevdel.Plo
include ./$(DEPDIR)/ndevdest.Plo
include ./$(DEPDIR)/ndevdump.Plo
include ./$(DEPDIR)/ndevinit.Plo
include ./$(DEPDIR)/ndevload.Plo
include ./$(DEPDIR)/ndevmdel.Plo
include ./$(DEPDIR)/ndevmpar.Plo
include ./$(DEPDIR)/ndevparm.Plo
include ./$(DEPDIR)/ndevpzld.Plo
include ./$(DEPDIR)/ndevset.Plo
include ./$(DEPDIR)/ndevtemp.Plo
include ./$(DEPDIR)/ndevtrun.Plo

.c.o:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \

=== src/xspice/examples/nco/Makefile ===
# $Id: Makefile,v 1.3 2003/07/23 19:59:59 pnenzi Exp $
#
# Makefile for Code Model directories
#

# Include global XSPICE selections for CC and other macros
include /usr/local/xspice-1-0/include/make.include

INCLUDE = -I. -I$(ROOT)/include/sim

CFLAGS = -g

#-----------------------------------------------------------------------------
# Edit the following definition to specify the object files that comprise 
# your code model. If your code model is completely specified in the 
# cfunc.mod file, there is no need to edit this definition. 
# DO NOT include the ifspec.o file. 

CODE_MODEL_OBJECTS = cfunc.o 

#-----------------------------------------------------------------------------
# DO NOT MODIFY THE FOLLOWING DEFINITIONS:

.SUFFIXES: $(SUFFIXES) .mod .ifs

.mod.c: 
	$(BINDIR)/cmpp -mod $< 

.ifs.c:
	$(BINDIR)/cmpp -ifs

.c.o: $*.c
	${CC} ${CFLAGS} ${INCLUDE} -c $*.c

all : ifspec.o $(CODE_MODEL_OBJECTS)

cfunc.o : cfunc.c
ifspec.o : ifspec.c

## ng-spice-rework 21

=== src/spicelib/devices/ndev/Makefile ===
--- 
+++ 
@@ -65,22 +65,22 @@
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/missing --run aclocal-1.10
+ACLOCAL = ${SHELL} /home/pnenzi/ngspice/latest/ngspice/ng-spice-rework/missing --run aclocal-1.10
 ADMSXML = 
 ALLOCA = 
-AMTAR = ${SHELL} /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/missing --run tar
+AMTAR = ${SHELL} /home/pnenzi/ngspice/latest/ngspice/ng-spice-rework/missing --run tar
 AR = ar
 AS = as
-AUTOCONF = ${SHELL} /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/missing --run automake-1.10
+AUTOCONF = ${SHELL} /home/pnenzi/ngspice/latest/ngspice/ng-spice-rework/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/pnenzi/ngspice/latest/ngspice/ng-spice-rework/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/pnenzi/ngspice/latest/ngspice/ng-spice-rework/missing --run automake-1.10
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS =  -g -O0 -Wall
-CIDERDIR = 
-CIDERSCRIPTS = 
-CIDERSIM = 
+CIDERDIR = ciderlib
+CIDERSCRIPTS = devload devaxis ciderinit
+CIDERSIM = 	ciderlib/twod/libcidertwod.la     		ciderlib/oned/libcideroned.la     		ciderlib/input/libciderinput.la   		ciderlib/support/libcidersuprt.la
 CPP = gcc -E
 CPPFLAGS = 
 CYGPATH_W = echo
@@ -107,13 +107,13 @@
 LEXLIB = -lfl
 LEX_OUTPUT_ROOT = lex.yy
 LIBOBJS = 
-LIBS = -lm 
+LIBS = -lncurses -lm  -lreadline
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
 MAINT = #
-MAKEINFO = ${SHELL} /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/pnenzi/ngspice/latest/ngspice/ng-spice-rework/missing --run makeinfo
 MKDIR_P = /bin/mkdir -p
 NDEV_DIR = 
 NDEV_LIB = 
@@ -122,8 +122,8 @@
 NOTNDEV_DIR = ndev
 NOTVLADEVDIR = adms
 NOTXGRAPH = xgraph
-NUMDEV = 
-NUMDEVDIR = 
+NUMDEV = 	spicelib/devices/nbjt/libnbjt.la   		spicelib/devices/nbjt2/libnbjt2.la 		spicelib/devices/numd/libnumd.la   		spicelib/devices/numd2/libnumd2.la 		spicelib/devices/numos/libnumos.la
+NUMDEVDIR =   nbjt    		nbjt2 		numd  		numd2 		numos
 OBJDUMP = objdump
 OBJEXT = o
 OTOOL = 
@@ -131,9 +131,9 @@
 PACKAGE = ngspice
 PACKAGE_BUGREPORT = ngspice-bugs@lists.sourceforge.net
 PACKAGE_NAME = ngspice
-PACKAGE_STRING = ngspice 20
+PACKAGE_STRING = ngspice 21
 PACKAGE_TARNAME = ngspice
-PACKAGE_VERSION = 20
+PACKAGE_VERSION = 21
 PATH_SEPARATOR = :
 RANLIB = ranlib
 SED = /bin/sed
@@ -142,7 +142,7 @@
 STRIP = strip
 TCL_LIB_SPEC = 
 TCL_PACKAGE_PATH = 
-VERSION = 20
+VERSION = 21
 VLADEV = 
 VLADEVDIR = 
 VLAMKF = 
@@ -161,10 +161,10 @@
 X_PRE_LIBS =  -lSM -lICE
 YACC = bison -y
 YFLAGS = 
-abs_builddir = /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/src/spicelib/devices/ndev
-abs_srcdir = /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/src/spicelib/devices/ndev
-abs_top_builddir = /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework
-abs_top_srcdir = /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework
+abs_builddir = /home/pnenzi/ngspice/latest/ngspice/ng-spice-rework/src/spicelib/devices/ndev
+abs_srcdir = /home/pnenzi/ngspice/latest/ngspice/ng-spice-rework/src/spicelib/devices/ndev
+abs_top_builddir = /home/pnenzi/ngspice/latest/ngspice/ng-spice-rework
+abs_top_srcdir = /home/pnenzi/ngspice/latest/ngspice/ng-spice-rework
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
 am__include = include
@@ -192,7 +192,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = $(SHELL) /home/pnenzi/ngspice/release20/ngspice/ng-spice-rework/install-sh
+install_sh = $(SHELL) /home/pnenzi/ngspice/latest/ngspice/ng-spice-rework/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
@@ -382,11 +382,3 @@
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
 
 distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \

=== debian/changelog ===
ng-spice-rework (21-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.0
  * Rewrite get-orig-source
  * Switch to dpkg-source 3.0 (quilt) format
  * Add build dependency on lyx, elyxer and texlive-full
  * Fix compilation of doc in rules file
  * Add build dependency on imagemagick
  * Remove machine generated file src/frontend/parse-bison.c
    in clean target
  * Remove README.source
  * Remove all patches, fixed in upstream

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 25 Jul 2010 17:17:32 +0200

ng-spice-rework (20-1) unstable; urgency=low

  [ Gudjon I. Gudjonsson ]
  * New upstream release
  * Correct the Vcs fields

  [ Andreas Tille ]
  * Group maintenance in Debian Science team with permission of
    maintainer

 -- Andreas Tille <tille@debian.org>  Fri, 20 Nov 2009 11:15:21 +0100

ng-spice-rework (19-2) UNRELEASED; urgency=low

  * Add XS-Autobuild tag
  * Bump standards version to 3.8.3, no changes needed
  * Add README.source file
  * Add misc dependency on tclspice-dev
  * Add ngspice dependency on dpkg (>= 1.15.4) | install-info
  * Remove debian/tmp/usr/share/dir file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 15 Nov 2009 00:00:02 +0100

ng-spice-rework (19-1) unstable; urgency=low

  * New upstream release
  * Remove all patches since they are already in upstream
  * Remove call to autogen and --enable experimental option when building
  * Fix watch file
  * Not removing getopt files, since they are BSD now
  * Change /usr/share/ng-spice-rework to /usr/share/ngspice
  * Remove quilt dependency
  * Fix get-orig-source target
  * Create patch 01_fix_bashism.diff to fix bashism (Closes: #530986)
  * Add quilt dependency

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 07 Jun 2009 10:11:42 +0200

ng-spice-rework (18-1) unstable; urgency=low

  * Initial release (Closes: #489768)
  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * debian/rules: add -XCOPYING to dh_installdocs for contrib.
  * debian/rules, debian/control: Use quilt.
  * Added 01_manpages-hyphen.diff patch which fixes the hyphens in ngnutmeg.1 
    & ngspice.1 manpages.
  * debian/rules: added get-orig-source target.
  * Added one target package: ngspice-doc.
  * debian/docs: Added ANALYSES, BUGS & DEVICES.

  [ Gudjon I. Gudjonsson ]
  * Add the documentation license to the copyright file
  * Package moved to non-free
  * Remove getopt*.{c,h} incompatible licenses, add empty files instead
  * Add patch 02_fix_getopt.diff to include system getopt.h
  * Add patch 03_fix_libdir.diff that fixes libdir in configure.in
    Thanks to Ahmed
  * Let rules run ./autogen.sh in build/tclspice
  * Add dependencies on automake

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 20 Apr 2009 19:51:11 +0200

=== debian/control ===
Source: ng-spice-rework
Section: non-free/electronics
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 7), automake, libtool, libxaw7-dev, flex,
 bison, gfortran, libeditline-dev, libncurses5-dev,
 lyx, elyxer, texinfo, texlive-latex-base, texlive-full, imagemagick,
 tcl8.4-dev, tcl8.4, tk8.4-dev, tk8.4, blt-dev
Standards-Version: 3.9.0
Homepage: http://ngspice.sourceforge.net
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/ng-spice-rework/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/ng-spice-rework/trunk
DM-Upload-Allowed: yes
XS-Autobuild: yes

Package: ngspice
Section: non-free/electronics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: A Spice circuit simulator
 NGspice is a mixed-level/mixed-signal circuit simulator.
 Its code is based on three open source software packages:
 Spice3f5, Cider1b1 and Xspice.
 .
 NGspice is part of gEDA project, a full GPL'd suite of 
 Electronic Design Automation tools.

Package: tclspice-dev
Section: non-free/libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tclspice, blt-dev, tcl8.4-dev, tk8.4-dev
Description: NGspice library for Tcl
 TclSpice brings NGspice simulation engine into your Tcl-scripts.
 It includes XSpice. GUI is handled by Tk using BLT vectors.
 .
 This package contains the development files for TclSpice.

Package: tclspice
Section: non-free/electronics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, blt, tcl8.4, tk8.4
Description: NGspice library for Tcl
 TclSpice brings NGspice simulation engine into your Tcl-scripts.
 It includes XSpice. GUI is handled by Tk using BLT vectors.

Package: ngspice-doc
Section: non-free/doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Documentation for the ngspice circuit simulator
 NGspice is a mixed-level/mixed-signal circuit simulator.
 Its code is based on three open source software packages:
 Spice3f5, Cider1b1 and Xspice.
 .
 NGspice is part of gEDA project, a full GPL'd suite of 
 Electronic Design Automation tools.
 .
 This package contains the html, postscript and pdf documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif



config.status: config.status-stamp configure
config.status-stamp:
	dh_testdir
	# Make build dir for ngspice
	mkdir -p build/ngspice
	cp -Rl `ls . |grep -v build|grep -v debian` build/ngspice
	cp -f /usr/share/misc/config.sub build/ngspice/config.sub
	cp -f /usr/share/misc/config.guess build/ngspice/config.guess
	cp -f /usr/share/misc/config.sub build/ngspice/doc/config.sub
	cp -f /usr/share/misc/config.guess build/ngspice/doc/config.guess
	# Make build dir for tclspice
	mkdir -p build/tclspice
	cp -Rl `ls . |grep -v build|grep -v debian` build/tclspice
	cp -f /usr/share/misc/config.sub build/tclspice/config.sub
	cp -f /usr/share/misc/config.guess build/tclspice/config.guess
	# Configure ngspice
	(cd build/ngspice;\
	./configure $(CROSS) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--enable-maintainer-mode \
		--enable-capzerobypass \
		--enable-intnoise \
		--enable-xspice \
		--enable-cider \
		--disable-xgraph \
		--enable-debug \
		--enable-numparam=yes \
		--enable-dot-global \
		enable_adms=no \
		CFLAGS="$(CFLAGS)")
	#LDFLAGS="-Wl,-z,defs")
	# Configure tclspice
	(cd build/tclspice;\
	./configure $(CROSS) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--libdir=/usr/lib/tcltk \
		--enable-shared=yes \
		--enable-maintainer-mode \
		--enable-capzerobypass \
		--enable-intnoise \
		--enable-xspice \
		--enable-cider \
		--disable-xgraph \
		--enable-debug \
		--enable-numparam=yes \
		--enable-dot-global \
		--disable-x \
		--with-tcl=/usr/lib/tcl8.4 \
		CFLAGS="$(CFLAGS)")
	touch $@

build: build-stamp

build-stamp:  config.status 
	dh_testdir

	cd build/ngspice && $(MAKE)
	cd build/tclspice && $(MAKE)
	# Build documentation
	cd build/ngspice/doc && lyx --export ps manual.lyx 
	cd build/ngspice/doc && lyx --export html manual.lyx 

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -f config.status-stamp
	rm -rf build
	rm -f src/frontend/parse-bison.c
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Make ngspice and tclspice
	cd build/ngspice && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	cd build/tclspice && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	# The code model files must be stripped
ifneq ("nostrip","$(findstring nostrip,$(DEB_BUILD_OPTIONS))")
	strip $(CURDIR)/debian/tmp/usr/lib/spice/*.cm
	strip $(CURDIR)/debian/tmp/usr/lib/tcltk/spice/*.cm
endif

	# Remove empty dirs:
	find $(CURDIR)/debian/tclspice -type d -empty -delete

	# Override file for ngspice
	##mkdir -p $(CURDIR)/debian/ngspice/usr/share/lintian/overrides/
	##install -p -o root -g root -m 644 $(CURDIR)/debian/ngspice.overrides \
	##	$(CURDIR)/debian/ngspice/usr/share/lintian/overrides/ngspice
	# Override file for tclspice
	##mkdir -p $(CURDIR)/debian/tclspice/usr/share/lintian/overrides/
	##install -p -o root -g root -m 644 $(CURDIR)/debian/tclspice.overrides \
	##	$(CURDIR)/debian/tclspice/usr/share/lintian/overrides/tclspice
	# Documentation for ngspice, the same as for tclspice
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/html
	cp -a build/ngspice/doc/manual.html.LyXconv/* \
		$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/html
	install -o root -g root -m 644 build/ngspice/doc/manual.ps \
		$(CURDIR)/debian/tmp/usr/share/doc/ngspice-doc/ngspice.ps
	# Removing /usr/share/info/dir file
	rm -f $(CURDIR)/debian/tmp/usr/share/info/dir

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_install -i --sourcedir=debian/tmp
	dh_installinfo -i
	dh_installman -i
	dh_installexamples -i -pngspice-doc examples/* -Xtclspice
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs -pngspice contrib -XCOPYING
	dh_installdocs
	dh_installexamples -ptclspice examples/tclspice/*
	dh_install --sourcedir=debian/tmp
	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

#DEB_UPSTREAM_VERSION := $(shell dpkg-parsechangelog | grep '^Version:' | sed -e 's/Version: \(.*\)-\(.*\)\.*/\1/')
get-orig-source:
	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+~]+).*,\1,p'); \
	BASENAME=ng-spice-rework; \
	set -e;\
	wget -q http://sourceforge.net/projects/ngspice/files/$$BASENAME/$$VER/$$BASENAME-$$VER.tar.gz/download; \
	tar xz --exclude=CVS --exclude=xgraph -f $$BASENAME-$$VER.tar.gz; \
	mv -f ngspice-$$VER $$BASENAME-$$VER; \
	rm -f $$BASENAME-$$VER/config.sub ;\
 	rm -f $$BASENAME-$$VER/config.guess ;\
	tar czf ng-spice-rework_$$VER.orig.tar.gz $$BASENAME-$$VER; \
	rm -f $$BASENAME-$$VER.tar.gz; \
	rm -rf $$BASENAME-$$VER; \
	wget -q http://sourceforge.net/projects/ngspice/files/$$BASENAME/$$VER/ngspice-doc-$$VER.tar.gz/download; \
	tar xz --exclude=pdf -f ngspice-doc-$$VER.tar.gz; \
	tar czf ng-spice-rework_$$VER.orig-doc.tar.gz ngspice-doc-$$VER; \
	rm -f ngspice-doc-$$VER.tar.gz; \
	rm -rf ngspice-doc-$$VER
# 	find ${DIRNAME} -name .cvsignore -exec rm -f {} \; ;\

.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://sf.net/ngspice/ng-spice-rework-(.*)\.tar\.gz debian uupdate
